@echo off
echo:
echo "Specialist" RKS to WAV Conversion Script - 09.04.2025
echo:
echo Place RKS files into a folder named "rks" relative to this script and the bin2wav executable.
echo:
echo Output files will be generated in the "wav" folder, which will be created automatically by
echo this script if it's not already present.
echo:
echo To exit this script, type "quit" in the filename field.

if exist wav\ goto start

mkdir wav

:start
echo:
set /P fname="Enter filename (without .rks extension): "
if '%fname%'=='quit' exit
echo:
bin2wav rks\%fname%.rks wav\%fname%.wav -m specialist-rks
goto start